metadata:

  name:

  format: "Apertis Test Definition 1.0"

  # [ 'any', 'fixedfunction', 'hmi', 'basesdk', 'sdk', 'tiny-lxc' ]
  image-types:
    # [ 'any', 'armhf', 'arm64', 'amd64']
    fixedfunction: [ ]
    hmi:           [ ]
    basesdk:       [ ]
    sdk:           [ ]

  # [ functional, sanity, system ]
  type:

  # [ all, automated, manual ]
  exec-type:

  # [ low, medium, high, critical ]
  priority:

  maintainer: "Apertis Project"

  description:

  resources:

  pre-conditions:

  expected:

  notes:

  post-conditions:

# Only valid for automated non-ostree images installing packages.
install:
  deps:

run:
  steps:

# Parse test results from the test command output.
# This directive is only relevant for LAVA automated tests.
parse:
  fixupdict:
    FAILED: fail
    PASSED: pass
  pattern: '(?P<test_case_id>[^:]+): (?P<result>[A-Z]+)'
